/*  ARC - Archive utility - ARCDATA

    Version 2.16, created on 10/24/86 at 14:54:17

(C) COPYRIGHT 1985,86 by System Enhancement Associates; ALL RIGHTS RESERVED

    By:  Thom Henderson

    Description: 
         This file defines the external data storage used by the ARC
         archive utility.


    Language:
         Computer Innovations Optimizing C86
*/
#include <stdio.h>

int keepbak = 0;             /* true if saving the old archive */
int warn = 1;                /* true to print warnings */
int note = 1;                /* true to print comments */
int bose = 0;                /* true to be verbose */
int nocomp = 0;              /* true to suppress compression */
int overlay = 0;             /* true to overlay on extract */
int kludge = 0;              /* kludge flag */
char *arctemp = NULL;        /* arc temp file prefix */
char *password = NULL;       /* encryption password pointer */
int nerrs = 0;               /* number of errors encountered */

char hdrver;                      /* header version */

FILE *arc;                        /* the old archive */
FILE *new;                        /* the new archive */
char arcname[100];           /* storage for archive name */
char bakname[100];           /* storage for backup copy name */
char newname[100];           /* storage for new archive name */
unsigned int arcdate = 0;    /* archive date stamp */
unsigned int arctime = 0;    /* archive time stamp */
unsigned int olddate = 0;    /* old archive date stamp */
unsigned int oldtime = 0;    /* old archive time stamp */



